sdpsss.c File Reference

Determine the sparsity of each block, and choose suitable dual, Delta S, and X matrix structures. More...

Go to the source code of this file.

## Functions

int | DSDPCreateS (DSDPBlockData *, char, int, DSDPVec, DSDPVMat, SDPConeVec, SDPConeVec, DSDPDualMat *, DSDPDualMat *, DSDPDSMat *, void *)
| Create S1, S2, and DS.
int | DSDPMakeVMat (char UPLQ, int n, DSDPVMat *X)
| Allocate V matrix.
int | DSDPMakeVMatWithArray (char UPLQ, double xx[], int nnz, int n, DSDPVMat *X)
| Allocate V matrix using the given array.

## Detailed Description

Determine the sparsity of each block, and choose suitable dual, Delta S, and X matrix structures.

Definition in file sdpsss.c.

## Function Documentation

## DSDPCreateS()

int DSDPCreateS | ( | DSDPBlockData * | ADATA,
|  | char | UPLQ,
|  | int | trank,
|  | DSDPVec | WY,
|  | DSDPVMat | T,
|  | SDPConeVec | W1,
|  | SDPConeVec | W2,
|  | DSDPDualMat * | S,
|  | DSDPDualMat * | SS,
|  | DSDPDSMat * | DS,
|  | void * | ctx
| ) |  |

Create S1, S2, and DS.

Parameters

  ADATA | semidefinite block of data.
  UPLQ | such as packed symmetric or upper full symmetric
  trank | rank of data in block
  WY | Work vector
  T | Work matrix.
  W1 | Work vector
  W2 | Work vector
  S | New dual matrix.
  SS | New dual matrix.
  DS | New DS matrix.
  ctx | pointer to structure.

Definition at line 314 of file sdpsss.c.

Referenced by DSDPBlockSetup().

## DSDPMakeVMat()

int DSDPMakeVMat | ( | char | UPLQ,
|  | int | n,
|  | DSDPVMat * | X
| ) |  |

Allocate V matrix.

Parameters

  UPLQ | format
  n | dimension
  X | new matrix.

See also
  SDPConeSetStorageFormat()

Definition at line 351 of file sdpsss.c.

Referenced by DSDPBlockSetup(), and SDPConeSetXMat().

## DSDPMakeVMatWithArray()

int DSDPMakeVMatWithArray | ( | char | UPLQ,
|  | double | xx[],
|  | int | nnz,
|  | int | n,
|  | DSDPVMat * | X
| ) |  |

Allocate V matrix using the given array.

Parameters

  UPLQ | format
  xx | array
  nnz | length of the array
  n | dimension
  X | new matrix.

See also
  SDPConeSetStorageFormat()
  SDPConeGetXArray()

Definition at line 381 of file sdpsss.c.